## org.biojava.bio.seq.db.biosql
Class HypersonicDBHelper

    java.lang.Object
      org.biojava.bio.seq.db.biosql.DBHelper
          org.biojava.bio.seq.db.biosql.HypersonicDBHelper

Deprecated. Use hibernate and org.biojavax.bio.db.*

    public class HypersonicDBHelper

extends DBHelper

This is a `DBHelper` that provides support for the Hypersonic RDBMS. See the HSQLDB home page

Author:
  Len Trigg, Richard Holland

Nested Class Summary

Nested classes/interfaces inherited from class org.biojava.bio.seq.db.biosql.DBHelper
`DBHelper.BioSequenceStyle, DBHelper.DeleteStyle, DBHelper.JoinStyle`

Field Summary

Fields inherited from class org.biojava.bio.seq.db.biosql.DBHelper
`BIOSEQUENCE_GENERIC, BIOSEQUENCE_ORACLECLOB, DELETE_GENERIC, DELETE_MYSQL4, DELETE_POSTGRESQL, JOIN_GENERIC, JOIN_ORACLE8`

Constructor Summary
`HypersonicDBHelper()` Deprecated.

Method Summary
`boolean` `containsTable(DataSource ds, String tablename)` Deprecated. Detects whether a particular table is present in the database.
`int` `getInsertID(Connection conn, String table, String columnName)` Deprecated. Returns the id value created during the last insert command.

Methods inherited from class org.biojava.bio.seq.db.biosql.DBHelper
`getBioSequenceStyle, getDBHelper, getDeleteStyle, getJoinStyle`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HypersonicDBHelper

    public HypersonicDBHelper()

  Deprecated.

Method Detail

### getInsertID

    public int getInsertID(Connection conn,
                           String table,
                           String columnName)
                    throws SQLException

  Deprecated.
  Description copied from class: `DBHelper`
  Returns the id value created during the last insert command. This is for tables that have an auto increment column.

  Specified by:
    `getInsertID` in class `DBHelper`
  Returns:
    the last id assigned, or -1 if the id could not be found.
  Throws:
    `SQLException`

### containsTable

    public boolean containsTable(DataSource ds,
                                 String tablename)

  Deprecated.
  Description copied from class: `DBHelper`
  Detects whether a particular table is present in the database.

  Overrides:
    `containsTable` in class `DBHelper`
  Parameters:
    `ds` - a `DataSource` that can provide a connection to a database
    `tablename` - the name of the table.
  Returns:
    true if the table exists in the database.